import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:suguru/models/activity/cell_location.dart';

class Move {
  const Move({
    required this.location,
    required this.value,
  });

  final CellLocation location;
  final int value;

  void dump() {
    printlog('$Move:');
    printlog('  location: $location');
    printlog('  value: $value');
    printlog('');
  }

  @override
  String toString() {
    return '$Move(${toJson()})';
  }

  Map<String, dynamic>? toJson() {
    return <String, dynamic>{
      'location': location.toJson(),
      'value': value,
    };
  }
}
